Skip to navigation

Pause active workflow

View as Markdown
This operation pauses new workflow instances from being created. Any running workflows instances will be unaffected.

Authentication

AuthorizationBearer

Path parameters

accountIdstringRequiredformat: "^[{]?[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}[}]?$"
The unique identifier of the account.
workflowIdstringRequiredformat: "^[{]?[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}[}]?$"

A universally unique identifier (UUID) in standard 8-4-4-4-12 format.

Response

Indicates that a workflow has been successfully paused. New instances of this workflow will not be created. Existing workflow instances will be unaffected.
statusstringOptional

Represents the new state of a workflow’s mechanism to permit new workflow instances from being created. Valid values include:

  • active
  • paused

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error